Welcome to mirror list, hosted at ThFree Co, Russian Federation.

cygwin.com/git/newlib-cygwin.git - Unnamed repository; edit this file 'description' to name the repository.
summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorChristopher Faylor <me@cgf.cx>2001-12-20 05:55:11 +0300
committerChristopher Faylor <me@cgf.cx>2001-12-20 05:55:11 +0300
commit48beacf6e4438f457b33fddebaa8a81698dc77f8 (patch)
tree3098581dcc296aff3ca58cdb6c556f2dc961dd2d /winsup/cygwin/newsym
parent1f93c55ff7f7613d779ed770a60be13c14b0858f (diff)
* Makefile.in (VPATH): Add regex directory.
(NM): new variable. (OBSOLETE_FUNCTIONS): Ditto. (NEW_FUNCTIONS): Ditto. (install-headers): Install regex.h. (install-man): New target. (install): Use new target. (DLL_OFILES): Add v8_reg* stuff. (new-cygwin1.dll): Eliminate stamp-cygwin-lib creation. (libcygwin.a): Remove obsolete functions from import lib. Add new functions. * configure.in: Detect 'nm' tool. * configure: Regenerate. * cygwin.din: Export posix_reg* functions. Eliminate export of v8 reg* functions. This is now handled in object files themselves. * regex/*: New files. * regexp/v8_*.c: New files, renamed from non v8_ equivalents.
Diffstat (limited to 'winsup/cygwin/newsym')
-rwxr-xr-xwinsup/cygwin/newsym24
1 files changed, 24 insertions, 0 deletions
diff --git a/winsup/cygwin/newsym b/winsup/cygwin/newsym
new file mode 100755
index 000000000..688a8c6f8
--- /dev/null
+++ b/winsup/cygwin/newsym
@@ -0,0 +1,24 @@
+#!/bin/sh -x
+lib=$1; shift
+as=$1; shift
+ar=$1; shift
+ranlib=$1; shift
+rm -rf newsym.dir
+trap "rm -rf newsym.dir" 0 1 2 15
+mkdir newsym.dir
+while [ -n "$1" ]; do
+ newsym=$1; shift
+ oldsym=$1; shift
+ cat <<EOF > newsym.dir/$newsym.s
+ .section .idata$6
+ .extern __imp__$oldsym
+ .extern __head_cygwin1_dll
+ .section .text
+ .global _$newsym
+_$newsym:
+ jmp *__imp__$oldsym
+EOF
+ $as -o newsym.dir/$newsym.o newsym.dir/$newsym.s
+done
+$ar cru $lib newsym.dir/*.o
+$ranlib $lib